version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/html/clms.clicklearning.org/
permissions:
  - object: /var/www/html/clms.clicklearning.org/
    owner: apache
    group: apache    
hooks:
  BeforeInstall:
    - location: scripts/install_dependencies
      timeout: 300
      runas: root
  ApplicationStop:
    - location: scripts/remove_archives.sh
      timeout: 300
      runas: root
  ApplicationStart:
    - location: scripts/start_server
      timeout: 300
      runas: root